from django.contrib import admin

# Register your models here.

from ocs_db.models import *


class SoftwareAdmin(admin.ModelAdmin):

    list_display = ['s_id', 'name', 'hardware_id', 'version', 'install_date']
    list_filter = ['s_id', 'name', 'hardware_id', 'version', 'install_date']


class HardwareAdmin(admin.ModelAdmin):
    list_display = ['h_id', 'name', 'osname', 'osversion', 'device_id', 'ipaddr']
    list_filter = ['h_id', 'name', 'osname', 'osversion', 'device_id', 'ipaddr']


class SoftwareBlackListAdmin(admin.ModelAdmin):
    list_display = ['software', 'hardware']
    list_filter = ['software', 'hardware']


class SoftwareWhiteListAdmin(admin.ModelAdmin):
    list_display = ['software', 'hardware']
    list_filter = ['software', 'hardware']


class HardwareWhiteListAdmin(admin.ModelAdmin):
    list_display = ['table_name', 'context']
    list_filter = ['table_name', 'context']


class HardwareBlackListAdmin(admin.ModelAdmin):
    list_display = ['table_name', 'context']
    list_filter = ['table_name', 'context']


admin.site.register(Software, SoftwareAdmin)
admin.site.register(Hardware, HardwareAdmin)
admin.site.register(SoftwareWhiteList, SoftwareWhiteListAdmin)
admin.site.register(SoftwareBlackList, SoftwareBlackListAdmin)
admin.site.register(HardwareBlackList, HardwareBlackListAdmin)
admin.site.register(HardwareWhiteList, HardwareWhiteListAdmin)
